@import "../../../assets/styles/main.scss";

.profileLayoutMainSection {
  background-color: #f6f6f6;
  padding: 60px 0;
  position: relative;

  @include xxl {
    padding: 60px 15px;
  }
  .profileLayoutbackBackgroundImage {
    position: absolute;
    width: 100%;
    top: 0;
    left: 0px;
    img {
      width: 100%;
      height: 100%;
      object-fit: contain;
    }
  }
  &::after {
    content: "";
    position: absolute;
    height: 189px;
    width: 228px;
    left: 0;
    top: 35px;
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/downArrowPlan.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    z-index: 1;
  }

  .profileLayoutGrid {
    @include container-medium-1;
    width: 100%;
    display: grid;
    grid-template-columns: 424px 1fr;
    gap: 24px;
    height: 100%;
    position: relative;
    align-self: center;
    z-index: 9;

    @include xl {
      grid-template-columns: 390px 1fr;
    }

    @include lg {
      grid-template-columns: 360px 1fr;
    }

    @include md {
      grid-template-columns: 287px 1fr;
    }

    .menuListSection {
      padding: 30px;
      border-radius: 30px;
      box-shadow: 0px 4px 20px 0px #0000002b;
      background: getColorHex("white");
      display: flex;
      flex-direction: column;
      gap: 15px;

      @include lg {
        padding: 24px;
        gap: 12px;
      }

      .myprofileData {
        padding: 20px;
        background: linear-gradient(90deg, #ffecd2 0%, #fcb69f 100%);
        border-radius: 14px;
        display: flex;
        flex-direction: row;
        align-items: center;
        display: grid;
        grid-template-columns: 60px 1fr;
        gap: 20px;
        position: relative;

        @include md {
          grid-template-columns: 50px 1fr;
          gap: 10px;
          padding: 12px;
        }

        // img {
        //   display: flex;
        //   @include md {
        //     height: 50px;
        //     width: 50px;
        //   }
        // }

        .profileTabTopRoundStyle {
          position: absolute;
          top: 0;
          right: 0;
        }

        .profileTabBottomRoundStyle {
          position: absolute;
          bottom: 0;
          left: 0;
        }

        .myprofileDataCombine {
          display: flex;
          flex-direction: row;
          align-items: center;
          justify-content: space-between;
          gap: 20px;

          @include lg {
            gap: 10px;
          }

          .profileNameId {
            width: -webkit-fill-available;
            display: flex;
            flex-direction: column;
            gap: 3px;
            color: getColorHex("black");

            h3 {
              @include inter700;
              font-size: 20px;
              line-height: 32px;
              letter-spacing: 0.2px;
              text-align: left;

              @include lg {
                font-size: 16px;
                line-height: 26px;
              }
            }

            p {
              @include inter400;
              font-size: 12px;
              line-height: 14.52px;
              text-align: left;
              color: getColorHex("black");

              @include lg {
                font-size: 10px;
                line-height: 12.52px;
              }

              span {
                font-size: 12px;
                line-height: 14.52px;
                text-align: left;
                @include inter600;
                @include lg {
                  font-size: 10px;
                  line-height: 12.52px;
                }
              }
            }
          }

          .profileEditIcon {
            cursor: pointer;
          }
        }
      }

      .myprofileMenuItems {
        padding: 9px;
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 10px;
        background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
        border-radius: 10px;
        border: 1px solid #ffffff;

        &.activeTab {
          background: linear-gradient(90deg, #ffe8d3 0%, #fff8f1 100%);
          border: 1px solid #f47500;
        }

        .myprofileMenuItemsImage {
          height: 28px;
          width: 28px;

          img {
            height: 100%;
            width: 100%;
          }
        }

        p {
          color: getColorHex("black");
          font-size: 12px;
          line-height: 14.52px;
        }
      }
    }

    .profileMenuItemDetails {
      padding: 50px;
      border-radius: 30px;
      box-shadow: 0px 4px 20px 0px #0000002b;
      background: getColorHex("white");

      &.sidePaddingRemove {
        padding: 0px;
      }

      @include xl {
        padding: 30px;
      }
      @include lg {
        padding: 24px;
      }
    }
  }
  .footer_color {
    background-color: getColorHex("background");
    width: 100%;
    height: 200px;
    position: absolute;
    transform: scaleY(1.1);
    left: 0;
  }
}
